<?php

/**
 * UserIdentity represents the data needed to identity a user.
 * It contains the authentication method that checks if the provided
 * data can identity the user.
 */
class UserIdentity extends CUserIdentity
{
    private $_id;
	
    /**
	 * Authenticates a user.
	 * The example implementation makes sure if the username and password
	 * are both 'demo'.
	 * In practical applications, this should be changed to authenticate
	 * against some persistent user identity storage (e.g. database).
	 * @return boolean whether authentication succeeds.
	 */
	public function authenticate()
	{
        $user = User::model()->findByAttributes(array('username' => $this->username));
        if($user===null)
            $this->errorCode=self::ERROR_USERNAME_INVALID;
        else if($user->password !== md5($this->password) /* $this->password*/)
            $this->errorCode=self::ERROR_PASSWORD_INVALID;
        else
        {
            $this->_id = $user->id;            
            
            $this->setState('userId', $user->id);
            $this->setState('isAdmin', $user->is_admin);
            $this->setState('lang', $user->langs_id);
            $this->errorCode=self::ERROR_NONE;
            
            /*$roleRecord = UserType::model()->findByPk($user->user_types_id);
            $roleName = $roleRecord->name;
            $this->setState('userRole', $roleName);
            $this->setState('userLogin', $user->username);            
            $this->setState('userSchool', $user->school->id);*/
  
        }
        return !$this->errorCode;
    }

    public function getId()
    {
        return $this->_id;
    }

}