<?php

// uncomment the following to define a path alias
// Yii::setPathOfAlias('local','path/to/local-folder');

// This is the main Web application configuration. Any writable
// CWebApplication properties can be configured here.
return array(
	'basePath'=>dirname(__FILE__).DIRECTORY_SEPARATOR.'..',
	'name'=>'Data Filter Demo',
    'language'=>'en',

	// preloading 'log' component
	'preload'=>array('log'),

	// autoloading model and component classes
	'import'=>array(
		'application.models.*',
		'application.components.*',
        'application.extensions.datafilter.*',
        'application.extensions.datafilter.filters.*',
	),

	// application components
	'components'=>array(
		'log'=>array(
			'class'=>'CLogRouter',
			'routes'=>array(
				array(
					'class'=>'CFileLogRoute',
					'levels'=>'error, warning',
				),
			),
		),
		// uncomment the following to set up database
        'db'=>array(
            'class'=>'CDbConnection',
            'connectionString'=>'mysql:host=localhost;dbname=dfdemo',
            'username'=>'root',
            'password'=>'',
            'charset'=>'utf8',
            'emulatePrepare'=>true,
        ),
        'urlManager'=>array(
            //'class'=>'ExtUrlManager',
            'urlFormat'=>'path',
            'showScriptName'=>false,
            'rules'=>array(
                'users'=>'user/admin',
            ),

        ),


	),

    'defaultController'=>'user/admin',

	// application-level parameters that can be accessed
	// using Yii::app()->params['paramName']
	'params'=>array(
		// this is used in contact page
		'adminEmail'=>'webmaster@example.com',

        'mainMenu'=>array(
            array(
                'label' => 'Users',
                'url' => '/users',
                'access'=>'*'
            ),

    ),


	),

);