<?php
class CFilterSearch extends CFilterBase
{
    public function applyCriteria($model, &$criteria)
    {              
        $searchFields = $model->getDataFilterSearchFields($this->name);
        $fieldName = $this->getValue();

        if ( isset($searchFields[$fieldName])) {
            $model->applyDataSearchCriteria(
                    $criteria, $this->name,
                    $this->getValue(), $this->getTextFieldValue()
            );
        }
    }


    public function buildFilterCode($widget)
    {
        $data = $this->getDataFilterSearchFields($widget->model);
        return $widget->render('search', array('filter'=>$this, 'data'=>$data), true);        

    }
  

    /**
     * Returns seach fields list for search filter dropdown
     * @param <string> $filterName
     * @return <string> search fileds list
     */
    private function getDataFilterSearchFields($model)
    {
        $searchFileds = $model->getDataFilterSearchFields($this->name);
        if (!isset($searchFileds)) {
            throw new CException('CFilterSearch: model\'s method '.
                get_class($model) .
                '.getDataFilterSearchFields() returned empty set.');
        }
        return $searchFileds;
    }


    public function hasValue()
    {
        return (parent::hasValue() && $this->hasTextValue());
    }

    public function getTextFieldName()
    {
        return $this->name . "Text";
    }

    public function getTextFieldValue()
    {
        return $_GET[$this->name . "Text"];
    }

    public function hasTextValue()
    {
        return (isset($_GET[$this->name. "Text"]) && !empty($_GET[$this->name. "Text"]));
    }

}
?>